/* Btns */
.btn-pill {
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 6.25rem;
  background-color: var(--_btn-clr);
  color: var(--_btn-txt-clr);
  padding: 1.25em 2.25rem;
  border: none;
  border-radius: 100vw;
  font-size: var(--_btn-fs, var(--fs-400));
  font-weight: var(--_btn-fw, var(--fw-700));
  text-align: center;
  text-wrap: nowrap;
  text-transform: uppercase;
  transition:
    flex 500ms ease,
    width 500ms ease,
    padding 300ms ease;

  a {
    all: unset;
  }

  &[disabled] {
    cursor: not-allowed;
    --_btn-clr: var(--white-clr-600);
    --_btn-txt-clr: hsl(from var(--text-clr-700) h s l / 0.5);

    /* &:hover {
            color: var(--_btn-txt-clr);
        } */
  }

  &:not([disabled]):hover {
    color: var(--_btn-clr);
    background-color: var(--_btn-txt-clr);
    outline: 1px solid var(--_btn-clr);

    transition: all 180ms ease;

    .btn-icon {
      svg {
        path {
          fill: currentColor;
        }
      }
    }
  }

  &:has(.btn-icon),
  &:has(.bx) {
    --_btn-clr: var(--_btn-icon-clr);
    --_btn-txt-clr: var(--_btn-icon-txt-clr);

    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: nowrap;
    gap: 0.625rem;

    .btn-icon {
      flex-shrink: 0;
      width: var(--_btn-icon-size, 1.25rem);
      height: var(--_btn-icon-size, 1.25rem);
      aspect-ratio: 1;

      svg {
        width: 100%;
        height: 100%;
      }
    }
  }

  &.btn-primary {
    --_btn-clr: var(--primary-clr);
    --_btn-txt-clr: var(--white-clr);
  }

  &.btn-secondary {
    --_btn-clr: var(--secondary-clr);
    --_btn-txt-clr: var(--white-clr);
  }

  &.btn-secondary-900 {
    --_btn-clr: var(--secondary-clr-900);
    --_btn-txt-clr: var(--white-clr);
  }

  &.btn-tertiary {
    --_btn-clr: var(--tertiary-clr);
    --_btn-txt-clr: var(--white-clr);
  }

  &.btn-tertiary-900 {
    --_btn-clr: var(--tertiary-clr-900);
    --_btn-txt-clr: var(--white-clr);
  }

  &.btn-text,
  &.btn-text-700 {
    --_btn-clr: var(--text-clr-700);
    --_btn-txt-clr: var(--white-clr);
  }

  &.btn-outline-tertiary-900 {
    --_btn-clr: var(--white-clr);
    --_btn-txt-clr: var(--tertiary-clr-900);
    border: 1px solid var(--_btn-txt-clr);
  }

  &.btn-outline-secondary-900 {
    --_btn-txt-clr: var(--secondary-clr-900);
    --_btn-clr: var(--white-clr);
    border: 1px solid var(--_btn-txt-clr);
  }

  &.btn-outline-primary {
    --_btn-clr: var(--white-clr);
    --_btn-txt-clr: var(--primary-clr);
    border: 1px solid var(--_btn-txt-clr);
  }

  &.btn-outline-secondary {
    --_btn-clr: var(--white-clr);
    --_btn-txt-clr: var(--secondary-clr);
    border: 1px solid var(--_btn-txt-clr);
  }

  &.btn-outline-secondary-900 {
    --_btn-clr: var(--white-clr);
    --_btn-txt-clr: var(--secondary-clr-900);
    border: 1px solid var(--_btn-txt-clr);
  }

  &.btn-outline-text-700 {
    --_btn-clr: var(--white-clr);
    --_btn-txt-clr: var(--text-clr-700);
    border: 1px solid var(--_btn-txt-clr);
  }

  &.btn-fw-500 {
    --_btn-fw: var(--fw-500);
  }

  &.btn-xs {
    /* --_btn-padding: var(--fs-300) var(--fs-450); */
    --_btn-padding: var(--fs-300) var(--fs-550);
    --_btn-fs: var(--fs-300);
  }

  &.btn-sm {
    padding-block: 1rem;

    @media (width <=768px) {
      --_btn-fs: 0.875rem;
    }
  }

  &.btn-md {
    padding-inline: 1.625rem;
  }

  &.btn-xl {
    padding: 1rem 2.5rem;
  }

  &.btn-2xl {
    width: 13.5rem;
  }

  &.btn-3xl {
    padding: 0.875rem;
    width: 20.5rem;
  }

  &.btn-full {
    width: 100%;
  }
}
/* End of Btns */

/* Spacing */
.p-18 {
  padding: 1.125rem;
}

.py-18 {
  padding-block: 1.125rem;
}

.pt-18 {
  padding-block-start: 1.125rem;
}

.pb-18 {
  padding-block-end: 1.125rem;
}

.my-18 {
  margin-block: 1.125rem;
}

.mt-18 {
  margin-block-start: 1.125rem;
}

.mb-18 {
  margin-block-end: 1.125rem;
}
/* End of Spacing */

/* Animations */
@keyframes svgAnimation {
  from {
    stroke-dashoffset: var(--_svg-stroke-dashoffset-from, 50);
    fill: var(--_svg-fill-from, transparent);
    stroke-width: var(--_svg-stroke-width-from, 0.1);
  }

  to {
    stroke-dashoffset: 0;
  }
}

/* End of Animations */

.card-list {
  .card {
    display: flex;
    flex-direction: column;
    background-color: var(--white-clr);
    padding: 1.25rem;
    border-radius: 2rem;
    border: 1px solid var(--white-clr);
  }

  .card-profile img {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    object-fit: cover;
    margin-inline: auto;
  }

  .card-post,
  .card-name {
    text-align: center;
  }

  .card-name {
    display: block;
    font-weight: var(--fw-700);
    font-size: var(--fs-450);
    color: var(--tertiary-clr-900);
  }

  .card-post {
    display: block;
    font-weight: var(--fw-500);
    font-size: var(--fs-400);
    padding-bottom: 1.25rem;
  }

  .icon-text {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1.25rem;

    &.border {
      padding-bottom: 1rem;
      margin-bottom: 1rem;
      border-bottom: 1px solid #e8e8f7;
    }
  }

  .icon-key {
    flex-shrink: 0;
    display: flex;
    gap: 0.375rem;
    align-items: center;
    justify-content: center;

    .icon {
      flex-shrink: 0;
      color: var(--secondary-clr-900);
      font-size: 1.25rem;
    }
  }

  .title {
    color: #a9a9b8;
    font-weight: var(--fw-500);
    font-size: var(--fs-300);
  }

  .icon-value {
    --_line-clamp: 1;

    color: #090820;
    font-weight: var(--fw-500);
    font-size: var(--fs-300);
  }

  .btns {
    margin-top: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.25rem;
    font-size: var(--fs-300);
    /* Add this to create a stable hover area */
    padding: 0.5rem;
    margin: -0.5rem; /* compensate for padding */
  }

  .btns {
    margin-top: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.25rem;
    font-size: var(--fs-300);

    .btn-pill {
      --_btn-fs: 0.75rem;
      will-change: flex, width, padding;
      height: 2.875rem;
      /* contain: size; */
      contain: content;
      font-weight: var(--fw-700);
      transition:
        flex 500ms ease,
        width 500ms ease,
        padding 300ms ease !important;
    }

    /* > .btn-pill:not(:nth-child(2)) { */
    /* TODO: ititally make second button expand without flicker */
    /* > .btn-pill {
      padding: 1rem;
      flex: 0 0 2.875rem;
      border-radius: 50%;
      min-width: 0;
      width: 2.875rem;
      .btn-text {
        display: none;
        pointer-events: none;
        transition: width 300ms ease;
        }
        } */

    > .btn-pill {
      padding: 0;
      flex: 0 0 2.875rem;
      border-radius: 50%;
      min-width: 0;
      aspect-ratio: 1;

      .btn-text {
        pointer-events: none;
        display: none;
      }
    }

    > .btn-pill:is(:hover, :focus-visible) {
      flex-grow: 1;
      aspect-ratio: revert;
      border-radius: 100vw;
      padding: 0;
      padding: 1rem;

      .btn-text {
        display: block;
      }
    }

    &:has(.btn-pill:hover) .btn-pill:not(:hover),
    &:has(.btn-pill:focus-visible) .btn-pill:not(:focus-visible) {
      padding: 0;
      flex: 0 0 2.875rem;
      border-radius: 50%;
      min-width: 0;
      aspect-ratio: 1;

      .btn-text {
        pointer-events: none;
        display: none;
      }
    }
  }

  .btn-round {
    height: 2.875rem;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1rem;
    border-radius: 50%;
    background: #ffffff;
    color: var(--text-clr-700);
    border: 1px solid #eaeaf0;
    aspect-ratio: 1;

    .btn-icon {
      flex-shrink: 0;
      width: 1.5rem;
      height: 1.5rem;
    }

    svg {
      width: 100%;
      height: 100%;
    }

    .btn-text {
      display: none;
    }

    &:hover {
      background-color: var(--tertiary-clr-900);
      color: var(--white-clr);
      border-color: var(--tertiary-clr);
    }
  }

  .card-body {
    min-height: 78px;
    margin-top: 1.25rem;
    padding: 1.125rem 1rem;
    font-weight: var(--fw-500);
    font-style: Medium;
    font-size: var(--fs-300);
    color: #090820;
    background-color: #ededf6;
    border-radius: 0.5rem;
  }

  .card-tags {
    max-height: 74px;
    overflow-y: clip;
    margin-block: 1.125rem;
    display: flex;
    flex-wrap: wrap;
    align-items: start;
    gap: 0.375rem;
  }

  .card-tag {
    padding: 0.375rem 0.5rem;
    font-weight: var(--fw-500);
    background-color: #f8f8f9;
    border: 1px solid #c8cad9;
    font-size: 0.75rem;
    border-radius: 100vw;
  }
}

/* help quotes */

.help-quotes-slider {
  --_infinite-slider-height: 8.5rem;
  --_infinite-slider-spacing: 2rem;
  --_infinite-slider-padding: 3rem 0;

  padding-block: var(--_infinite-slider-padding);
  width: 100%;
  overflow: hidden;
  mask-image: linear-gradient(
    to right,
    transparent,
    black 10% 90%,
    transparent
  );

  &.reverse {
    --_infinite-slider-padding: 0 3rem;
    --_reverse-animation-offset-time: 2s;
    --_animation-direction: reverse;
    margin-top: 1.25rem;
  }
}

.help-quotes {
  will-change: transform;
  align-items: center;
  display: flex;
  gap: var(--_infinite-slider-spacing, 2rem);
  padding-right: var(--_infinite-slider-spacing, 2rem);
  animation: slide infinite linear;
  animation-duration: calc(
    var(--_institution-quantity, 5) *
      (var(--_reverse-animation-offset-time, 0s) + 13s)
  );
  animation-direction: var(--_animation-direction);
}

.help-quotes {
  &:hover {
    animation-play-state: paused;
  }

  li {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    padding: 0.75rem 0.875rem;
    border-radius: 100vw;
    outline: 1px solid var(--secondary-clr-800);
    background-color: var(--tertiary-clr-900);
    outline: 1px solid var(--secondary-clr-800);
    background-color: var(--tertiary-clr-900);
    color: var(--white-clr);
    text-transform: uppercase;
    font-size: var(--fs-300);
    white-space: nowrap;
  }
}

@keyframes slide {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(calc(-1 * var(--_infinite-slider-width, 100%)));
  }
}

/* Help */
.help-content {
  --_help-list-spacing-y: clamp(3rem, 8.5vw + 1.5rem, 6rem);

  position: relative;
  padding-block: clamp(3rem, 8.5vw + 1.5rem, 8rem);
  padding-inline: max(5%, 2rem);
  background-color: var(--secondary-clr-900);
  display: grid;
  isolation: isolate;
  border-radius: 3rem;

  &::before {
    content: "";
    z-index: -1;
    position: absolute;
    inset: 0;
    background-image: url("/assets/images/home/hero-gradient.jpg");
    background-size: cover;
    opacity: 0.35;
    border-radius: inherit;
  }

  @media (width <=728px) {
    border-radius: 2.25rem;
    padding-inline: 1.125rem;
  }
}

.help-header {
  text-transform: uppercase;
  color: var(--white-clr);

  .h1 {
    text-align: center;
    color: var(--white-clr);
    font-weight: var(--fw-700);

    @media (width <=1024px) {
      font-size: var(--fs-950);
    }

    @media (width <=600px) {
      font-size: var(--fs-650);
    }
  }

  .h2 {
    text-transform: none;
    text-align: center;
    color: var(--white-clr);
    font-weight: var(--fw-500);
    font-size: var(--fs-600);
    margin-bottom: var(--_help-list-spacing-y);
    max-width: 60ch;

    @media (width <=1024px) {
      font-size: var(--fs-500);
    }
  }
}

.help-video {
  all: revert;
  width: 100%;
  max-height: 640px;

  @media (width <=1024px) {
    max-height: 480px;
  }

  img,
  video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 2.25rem;
  }
}

.help-list {
  counter-reset: help-list;
}

.help-list-item {
  counter-increment: help-list;
  padding: var(--_help-list-spacing-y) 1.5rem;
  color: var(--white-clr);
  display: grid;
  border-top: 1px solid #ae337a;
  gap: 1.25rem;

  @media (width >= 600px) {
    grid-template-columns: 1fr 1fr;

    &::before {
      grid-row: 1 / span 2;
    }
  }
  &:last-of-type {
    padding-bottom: 0;
  }

  &::before {
    content: counter(help-list, decimal-leading-zero);
    font-weight: var(--fw-700);
    font-size: 64px;
    line-height: 91%;
    color: var(--text-clr-700);
  }

  h3 {
    font-weight: var(--fw-700);
    font-size: 64px;
    line-height: 91%;
    text-transform: uppercase;
    box-shadow: 0px 5px 19px 0px #0000000d;
    margin-bottom: 2rem;
  }

  p {
    font-weight: 500;
    font-size: var(--fs-425);
    line-height: 1.3;
  }
}
/* End of Help */

/* Trusted Institutions */
.trusted-wrapper {
  --_gap: 1.125rem !important;
  --_trusted-vertical-spacing: clamp(4.5rem, 10vw + 1.25rem, 7.5rem)
    clamp(3rem, 7vw + 1rem, 6rem);

  &.trusted-bg {
    --_trusted-vertical-spacing: clamp(3rem, 6vw + 0.5rem, 4.5rem)
      clamp(3rem, 7vw + 1rem, 6rem);
    background-color: var(--white-clr);
    border-top-left-radius: 3rem;
    border-top-right-radius: 3rem;
  }
}

.trusted-content {
  padding-block: var(--_trusted-vertical-spacing);

  overflow-x: clip;
}

.trusted-header {
  text-align: center;

  h2 {
    padding-bottom: 2rem;
    text-transform: uppercase;
    font-weight: var(--fw-500);
    font-size: var(--fs-1000);

    span {
      font-weight: var(--fw-900);
    }

    @media (width <=1024px) {
      font-size: var(--fs-950);
    }

    @media (width <=600px) {
      font-size: var(--fs-800);
    }
  }

  p {
    margin-inline: auto;
    max-width: 60ch;
    font-weight: var(--fw-500);
    color: var(--black-clr);
  }
}

.slider-controls {
  margin-left: auto;
  margin-bottom: 0.625rem;
  display: flex;
  min-width: 8.75rem;
  justify-content: end;
  gap: 1rem;
}

/* End of Trusted Institutions */

/* Css Only Carousel */
.trusted-institutions-slider {
  --_institution-width: 12.75rem;
  --_institution-height: 8.5rem;
  --_institution-spacing: 2rem;
  --_institution-background-hover: var(--white-clr);

  margin-top: 1.625rem;
  width: 100%;
  height: var(--_institution-height);
  mask-image: linear-gradient(
    to right,
    transparent,
    rgba(0, 0, 0) 10% 90%,
    transparent
  );
  overflow-x: clip;

  &.reverse {
    --_animation-direction: reverse;
  }

  &:hover {
    .institution {
      animation-play-state: paused !important;
    }
  }
}

.trusted-institutions {
  display: flex;
  flex-wrap: nowrap;
  gap: var(--_institution-spacing);
  position: relative;
  min-width: calc(
    (var(--_institution-width) + var(--_institution-spacing)) *
      var(--_institution-quantity)
  );

  .institution {
    --_animation-duration: calc(var(--_institution-quantity) * 5s);
    position: absolute;
    z-index: 1;
    left: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 1rem;
    filter: grayscale(1);

    transition:
      filter 300ms ease,
      background 300ms ease-in-out;
    animation: institutionSlider var(--_animation-duration) linear infinite;
    animation-direction: var(--_animation-direction);
    animation-delay: calc(
      (-1 * var(--_animation-duration) / var(--_institution-quantity)) *
        (var(--_institution-position) - 1)
    );

    &:hover {
      filter: grayscale(0);
      background-color: var(--_institution-background-hover);
    }

    img {
      padding: 1.25rem 1.5rem;
      width: var(--_institution-width);
      height: var(--_institution-height);
      object-fit: contain;
    }
  }
}

@keyframes institutionSlider {
  from {
    left: 100%;
  }

  to {
    left: calc(var(--_institution-width) * -1);
  }
}

/* End of Css Only Carousel */

/* Rich Editor Text */
.rich-editor-text {
  h1 {
    --_inline-size: 0.75lh;
    top: 1lh;
    position: absolute;
    inset-inline: var(--_inline-size);
    font-family: var(--ff-inter);
    font-weight: var(--fw-600);
    max-width: min(20ch, 100% - 2 * var(--_inline-size));
    border-bottom: none;
  }

  h2 {
    color: var(--black-clr);
    font-family: var(--ff-inter);
    font-size: var(--fs-600);
    font-weight: var(--fw-700, 700);
    border-bottom: none;
    padding-bottom: 0.875rem;
  }

  h3 {
    color: var(--tertiary-clr);
    font-family: var(--ff-inter);
    font-size: var(--fs-500);
    font-weight: var(--fw-500, 500);
    border-bottom: 1px solid var(--secondary-clr-10);
    padding-bottom: 0.375rem;
  }

  ul,
  ol,
  dl {
    margin-top: 0.5lh;
    margin-left: 3ch;
  }

  p,
  li {
    line-height: 1.7;
    margin-bottom: 0.375lh;
  }

  li {
    list-style: disc;

    &::marker {
      color: inherit;
    }
  }

  strong {
    font-weight: var(--fw-700, 700);
  }

  em {
    font-style: italic;
  }
}

/* End of Rich Editor Text */

/* Form submission message */
.form-submission {
  z-index: 1000;
  border: none;
  position: fixed;
  inset: 0;
  margin: auto;
  border-radius: 1.5rem;
  padding: clamp(1.5rem, 1.8vw + 0.8rem, 2.25rem);
  text-align: center;
  box-shadow: hsl(from var(--text-clr-700) h s l / 0.7) 0px 0px 0px 100vw;
  width: min(500px, 100% - 2 * 1rem);

  &.success {
    --_icon-clr: #2fb47c;
  }

  .iconify {
    color: var(--_icon-clr);
    margin-inline: auto;
    font-size: 6rem;
  }

  .form-submission-title {
    font-size: var(--fs-450);
    font-weight: var(--fw-500);
  }

  .form-submission-message {
    font-weight: var(--fw-400);
    color: var(--border-clr-900);
  }
}
/* End of Form submission message */

.text-word-wrap-css {
    word-wrap: break-word;
    overflow-wrap: break-word;
    max-width: 100%;
}